## AgsOscActionController

AgsOscActionController — OSC action controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_action_controller_run_action ()
AgsOscActionController * | ags_osc_action_controller_new ()

## Signals

gpointer | run-action | Run Last

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscActionController

## Includes

    #include <ags/audio/osc/controller/ags_osc_action_controller.h>

## Description

The AgsOscActionController implements the OSC action controller.

## Functions

### ags_osc_action_controller_run_action ()

    gpointer
    ags_osc_action_controller_run_action (AgsOscActionController *osc_action_controller,
                                          AgsOscConnection *osc_connection,
                                          guchar *message,
                                          guint message_size);

Run action.

#### Parameters

osc_action_controller | the AgsOscActionController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_action_controller_new ()

    AgsOscActionController *
    ags_osc_action_controller_new ();

Instantiate new AgsOscActionController

#### Returns

the AgsOscActionController

Since: 3.0.0

## Signal Details

### The `“run-action”` signal

    gpointer
    user_function (AgsOscActionController *osc_action_controller,
                   GObject                *osc_connection,
                   gpointer                message,
                   guint                   message_size,
                   gpointer                user_data)

The ::run-action signal is emited during get data of action controller.

#### Parameters

osc_action_controller | the AgsOscActionController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0